Index: code/branches/mergeFS18/src/libraries/network/Server.cc
===================================================================
--- code/branches/mergeFS18/src/libraries/network/Server.cc	(revision 12026)
+++ code/branches/mergeFS18/src/libraries/network/Server.cc	(revision 12027)
@@ -55,5 +55,4 @@
 #include "packet/Gamestate.h"
 #include "packet/Welcome.h"
-// #include "ClientInformation.h"
 #include "FunctionCallManager.h"
 #include "GamestateManager.h"
@@ -69,19 +68,17 @@
   Server::Server()
   {
-    this->timeSinceLastUpdate_=0;
-  }
-
+    this->timeSinceLastUpdate_ = 0;
+  }
+
+  /**
+  * Constructor
+  * @param port Port to listen on
+  */
   Server::Server(int port)
   {
-    this->setPort( port );
-    this->timeSinceLastUpdate_=0;
-  }
-/*
-  Server::Server(int port, const std::string name)
-  {
-    this->setPort( port );
-    this->timeSinceLastUpdate_=0;
-    this->serverName_=name;
-  }*/
+    this->setPort(port);
+    this->timeSinceLastUpdate_ = 0;
+  }
+
   /**
   * Constructor
@@ -91,7 +88,7 @@
   Server::Server(int port, const std::string& bindAddress)
   {
-    this->setPort( port );
-    this->setBindAddress( bindAddress );
-    this->timeSinceLastUpdate_=0;
+    this->setPort(port);
+    this->setBindAddress(bindAddress);
+    this->timeSinceLastUpdate_ = 0;
   }
 
@@ -156,5 +153,5 @@
     LANDiscoverable::update();
 
-    if ( GamestateManager::hasPeers() )
+    if (GamestateManager::hasPeers())
     {
       // process incoming gamestates
@@ -163,14 +160,13 @@
 
       // send function calls to clients
-      FunctionCallManager::sendCalls( static_cast<Host*>(this) );
-
-      //this steers our network frequency
-      timeSinceLastUpdate_+=time.getDeltaTime();
-      if(timeSinceLastUpdate_>=NETWORK_PERIOD)
+      FunctionCallManager::sendCalls(static_cast<Host*>(this));
+
+      // this steers our network frequency
+      timeSinceLastUpdate_ += time.getDeltaTime();
+      if(timeSinceLastUpdate_ >= NETWORK_PERIOD)
       {
-        timeSinceLastUpdate_ -= static_cast<unsigned int>( timeSinceLastUpdate_ / NETWORK_PERIOD ) * NETWORK_PERIOD;
-        updateGamestate();
+        timeSinceLastUpdate_ -= static_cast<unsigned int>(timeSinceLastUpdate_ / NETWORK_PERIOD) * NETWORK_PERIOD;
+        this->updateGamestate();
       }
-//       sendPackets(); // flush the enet queue
     }
   }
@@ -182,55 +178,33 @@
 
   /**
-   * @brief: returns ping time to client in milliseconds
-   */
-  unsigned int Server::getRTT(unsigned int clientID)
-  {
-//     assert(ClientInformation::findClient(clientID));
-//     return ClientInformation::findClient(clientID)->getRTT();
-    // TODO: reimplement
-    return 0;
-  }
-
+   * Print ping time to client in milliseconds.
+   */
   void Server::printRTT()
   {
-//     for( ClientInformation* temp=ClientInformation::getBegin(); temp!=nullptr; temp=temp->next() )
-//       orxout(message) << "Round trip time to client with ID: " << temp->getID() << " is " << temp->getRTT() << " ms" << endl;
-  }
-
-  /**
-   * @brief: return packet loss ratio to client (scales from 0 to 1)
-   */
-  float Server::getPacketLoss(unsigned int clientID)
-  {
-//     assert(ClientInformation::findClient(clientID));
-//     return ClientInformation::findClient(clientID)->getPacketLoss();
-    return 0.;
-  }
-
-  /**
-  * takes a new snapshot of the gamestate and sends it to the clients
-  */
+    // TODO: Implement
+  }
+
+  /**
+   * Take a new snapshot of the gamestate and send it to the clients.
+   */
   void Server::updateGamestate()
   {
-    if( this->clientIDs_.size()==0 )
-      //no client connected
+    if(this->clientIDs_.size() == 0)
+    {
+      // no client connected
       return;
+    }
     GamestateManager::update();
-//     orxout(verbose_more, context::network) << "Server: one gamestate update complete, goig to sendGameState" << endl;
-    //orxout(verbose_more, context::network) << "updated gamestate, sending it" << endl;
-    //if(clients->getGamestateID()!=GAMESTATEID_INITIAL)
-    sendGameStates();
-    sendObjectDeletes();
-//     orxout(verbose_more, context::network) << "Server: one sendGameState turn complete, repeat in next tick" << endl;
-    //orxout(verbose_more, context::network) << "sent gamestate" << endl;
-  }
-
-  /**
-  * sends the current gamestate to all peers
-  */
+    this->sendGameStates();
+    this->sendObjectDeletes();
+  }
+
+  /**
+   * Send the current gamestate to all peers.
+   */
   bool Server::sendGameStates()
   {
     std::vector<packet::Gamestate*> gamestates = GamestateManager::getGamestates();
-    for( packet::Gamestate* gamestate : gamestates )
+    for(packet::Gamestate* gamestate : gamestates)
     {
       gamestate->send(static_cast<Host*>(this));
@@ -240,11 +214,15 @@
 
 
+  /**
+   * Send 'DeleteObjects' packet
+   */
   bool Server::sendObjectDeletes()
   {
-//     ClientInformation *temp = ClientInformation::getBegin();
-//     if( temp == nullptr )
-      //no client connected
-    if( this->clientIDs_.size()==0 )
+    // no client connected
+    if(this->clientIDs_.size() == 0)
+    {
       return true;
+    }
+
     packet::DeleteObjects *del = new packet::DeleteObjects();
     if(!del->fetchIDs())
@@ -253,39 +231,19 @@
       return true;  //everything ok (no deletes this tick)
     }
-//     orxout(verbose, context::network) << "sending DeleteObjects" << endl;
-//     while(temp != nullptr){
-//       if( !(temp->getSynched()) )
-//       {
-//         orxout(verbose_more, context::network) << "Server: not sending gamestate" << endl;
-//         temp=temp->next();
-//         continue;
-//       }
-//       int cid = temp->getID(); //get client id
-//       packet::DeleteObjects *cd = new packet::DeleteObjects(*del);
-//       assert(cd);
+
     del->setPeerID(NETWORK_PEER_ID_BROADCAST);
-    if ( !del->send( static_cast<Host*>(this) ) )
+    if (!del->send( static_cast<Host*>(this)))
+    {
       orxout(internal_warning, context::network) << "Server: could not broadcast deleteObjects packet" << endl;
-//       temp=temp->next();
-      // gs gets automatically deleted by enet callback
-//     }
-//     delete del;
+    }
+
     return true;
   }
 
-
+  /**
+   * Add a new peer to the server.
+   */
   void Server::addPeer(uint32_t peerID)
   {
-//     static unsigned int newid=1;
-//
-//     orxout(internal_info, context::network) << "Server: adding client" << endl;
-//     ClientInformation *temp = ClientInformation::insertBack(new ClientInformation);
-//     if(!temp)
-//     {
-//       orxout(internal_warning, context::network) << "Server: could not add client" << endl;
-//     }
-//     temp->setID(newid);
-//     temp->setPeer(event->peer);
-
     // inform all the listeners
     this->clientIDs_.push_back(peerID);
@@ -296,100 +254,93 @@
     GamestateManager::addPeer(peerID);
 
-//     ++newid;
-
     orxout(internal_info, context::network) << "Server: added client id: " << peerID << endl;
 
-    createClient(peerID);
-}
-
+    this->createClient(peerID);
+  }
+
+  /**
+   * Remove a peer from the server.
+   */
   void Server::removePeer(uint32_t peerID)
   {
     orxout(verbose, context::network) << "removing client from list" << endl;
-//     ClientInformation *client = ClientInformation::findClient(&event->peer->address);
-//     if(!client)
-//       return;
-//     else
-//     {
-  std::vector<uint32_t>::iterator it;
-  for( it=this->clientIDs_.begin(); it!=this->clientIDs_.end(); ++it )
-  {
-    if( *it == peerID )
-    {
-      this->clientIDs_.erase(it);
-      break;
-    }
-  }
-  WANDiscoverable::updateClientNumber(this->clientIDs_.size());
-  LANDiscoverable::updateClientNumber(this->clientIDs_.size());
-
-  ClientConnectionListener::broadcastClientDisconnected(peerID);
-  GamestateManager::removePeer(peerID);
-      //ServerConnection::disconnectClient( client );
-      //ClientConnectionListener::broadcastClientDisconnected( client->getID() ); //this is done in ClientInformation now
-//       delete client;
-//     }
-  }
-
+
+    // erase the peer from the list
+    std::vector<uint32_t>::iterator it;
+    for(it=this->clientIDs_.begin(); it!=this->clientIDs_.end(); ++it)
+    {
+      if(*it == peerID)
+      {
+        this->clientIDs_.erase(it);
+        break;
+      }
+    }
+
+    WANDiscoverable::updateClientNumber(this->clientIDs_.size());
+    LANDiscoverable::updateClientNumber(this->clientIDs_.size());
+
+    // Send 'clientDisconnected' message
+    ClientConnectionListener::broadcastClientDisconnected(peerID);
+
+    GamestateManager::removePeer(peerID);
+  }
+
+  /**
+   * Process an incoming packet.
+   */
   void Server::processPacket(packet::Packet* packet)
   {
-    if( packet->isReliable() )
-    {
-      if( this->getLastReceivedGamestateID(packet->getPeerID()) >= packet->getRequiredGamestateID() )
+    if(packet->isReliable())
+    {
+      if(this->getLastReceivedGamestateID(packet->getPeerID()) >= packet->getRequiredGamestateID())
+      {
         packet->process(static_cast<Host*>(this));
+      }
       else
+      {
         this->packetQueue_.push_back(packet);
+      }
     }
     else
+    {
       packet->process(static_cast<Host*>(this));
-  }
-
-
+    }
+  }
+
+  /**
+   * Create a client.
+   */
   bool Server::createClient(int clientID)
   {
-//     ClientInformation *temp = ClientInformation::findClient(clientID);
-//     if(!temp)
-//     {
-//       orxout(internal_error, context::network) << "Server. could not create client with id: " << clientID << endl;
-//       return false;
-//     }
-//     orxout(verbose, context::network) << "Con.Man: creating client id: " << temp->getID() << endl;
 
     // synchronise class ids
-    syncClassid(clientID);
+    this->syncClassid(clientID);
 
     // now synchronise functionIDs
     packet::FunctionIDs *fIDs = new packet::FunctionIDs();
     fIDs->setPeerID(clientID);
-    bool b = fIDs->send( static_cast<Host*>(this) );
+    bool b = fIDs->send(static_cast<Host*>(this));
     assert(b);
 
-//     temp->setSynched(true);
     GamestateManager::setSynched(clientID);
 
+    // Send 'Welcome' packet to client
     orxout(verbose, context::network) << "sending welcome" << endl;
     packet::Welcome *w = new packet::Welcome(clientID);
     w->setPeerID(clientID);
-    b = w->send( static_cast<Host*>(this) );
+    b = w->send(static_cast<Host*>(this));
     assert(b);
+
     (void)b; // avoid compiler warning
-//     packet::Gamestate *g = new packet::Gamestate();
-//     g->setPeerID(clientID);
-//     b = g->collectData(0,packet::GAMESTATE_MODE_SERVER);
-//     assert(b);
-//     if(!b)
-//       return false; //no data for the client
-// //     b = g->compressData();
-// //     assert(b);
-//     b = g->send( static_cast<Host*>(this) );
-//     assert(b);
     return true;
   }
 
-  void Server::disconnectClient( uint32_t clientID )
-  {
-    ServerConnection::disconnectClient( clientID );
-    GamestateManager::removePeer( clientID );
-    // inform all the listeners
-    // ClientConnectionListener::broadcastClientDisconnected(client->getID()); // this is done in ClientInformation now
+  /**
+   * Disconnect a client.
+   */
+  void Server::disconnectClient(uint32_t clientID)
+  {
+    ServerConnection::disconnectClient(clientID);
+    GamestateManager::removePeer(clientID);
   }
 
@@ -403,15 +354,19 @@
   {
     // check if the target exists. just ignore the message otherwise
-    if (!this->isValidTarget(targetID)) // TODO: remove this if an invalid clientIDs don't trigger assertions anymore
+    if (!this->isValidTarget(targetID))
+    {
       return;
+    }
 
     // send the message to the target
     packet::Chat* packet = new packet::Chat(message, sourceID, targetID);
     packet->setPeerID(targetID);
-    packet->send( static_cast<Host*>(this) );
+    packet->send(static_cast<Host*>(this));
 
     // if the target is (or includes) this host as well, call the parent function which passes the message to the listeners
     if (targetID == NETWORK_PEER_ID_BROADCAST || targetID == Host::getPlayerID())
+    {
       Host::doReceiveChat(message, sourceID, targetID);
+    }
   }
 
@@ -431,10 +386,18 @@
   bool Server::isValidTarget(unsigned int targetID)
   {
+    // Broadcast or server ID are okay
     if (targetID == NETWORK_PEER_ID_BROADCAST || targetID == NETWORK_PEER_ID_SERVER)
+    {
       return true;
-
-    for( uint32_t id : this->clientIDs_ )
-      if( id == targetID )
+    }
+
+    // IDs in the client list are okay also
+    for(uint32_t id : this->clientIDs_)
+    {
+      if(id == targetID)
+      {
         return true;
+      }
+    }
 
     return false;
@@ -443,8 +406,10 @@
   void Server::syncClassid(unsigned int clientID)
   {
-    int failures=0;
     packet::ClassID *classid = new packet::ClassID();
     classid->setPeerID(clientID);
-    while(!classid->send( static_cast<Host*>(this) ) && failures < 10){
+
+    int failures = 0;
+    while(!classid->send(static_cast<Host*>(this)) && failures < 10)\
+    {
       failures++;
     }
Index: code/branches/mergeFS18/src/libraries/network/Server.h
===================================================================
--- code/branches/mergeFS18/src/libraries/network/Server.h	(revision 12026)
+++ code/branches/mergeFS18/src/libraries/network/Server.h	(revision 12027)
@@ -38,5 +38,4 @@
 #include "core/CorePrereqs.h"
 #include "Host.h"
-// #include "GamestateManager.h"
 #include "ServerConnection.h"
 #include "LANDiscoverable.h"
@@ -62,17 +61,15 @@
     void close();
     virtual void queuePacket(ENetPacket *packet, int clientID, uint8_t channelID) override;
-    virtual bool sendPacket( packet::Packet* packet ) override{ return packet->send( static_cast<Host*>(this) ); }
+    virtual bool sendPacket( packet::Packet* packet ) override { return packet->send( static_cast<Host*>(this) ); }
     void update(const Clock& time);
-    unsigned int getRTT(unsigned int clientID);
     virtual void printRTT() override;
-    float getPacketLoss(unsigned int clientID);
-    int getClientCount() { return this->clientIDs_.size();}
-    std::string getServerName() { return this->serverName_;}
+    int getClientCount() { return this->clientIDs_.size(); }
+    std::string getServerName() { return this->serverName_; }
 
   protected:
     void updateGamestate();
   private:
-    virtual bool isServer_() override{return true;}
-    unsigned int playerID(){return 0;}
+    virtual bool isServer_() override { return true; }
+    unsigned int playerID() { return 0; }
 
     virtual void addPeer(uint32_t peerID) override;
Index: code/branches/mergeFS18/src/libraries/network/ServerConnection.cc
===================================================================
--- code/branches/mergeFS18/src/libraries/network/ServerConnection.cc	(revision 12026)
+++ code/branches/mergeFS18/src/libraries/network/ServerConnection.cc	(revision 12027)
@@ -36,14 +36,14 @@
 #include "util/Output.h"
 #include <util/Sleep.h>
-// #include "ClientInformation.h"
 
 namespace orxonox
 {
-
+  /**
+   * Constructor
+   */
   ServerConnection::ServerConnection():
     bListening_(false)
   {
     this->bindAddress_ = new ENetAddress();
-//     memset(this->bindAddress_, 0, sizeof(ENetAddress));
     this->bindAddress_->host = ENET_HOST_ANY;
     this->bindAddress_->port = NETWORK_PORT;
@@ -51,18 +51,33 @@
   }
 
+  /**
+   * Destructor
+   */
   ServerConnection::~ServerConnection()
   {
-    if ( this->bListening_ )
-      closeListener();
+    if (this->bListening_)
+    {
+      this->closeListener();
+    }
     delete this->bindAddress_;
   }
 
-  void ServerConnection::setBindAddress( const std::string& bindAddress )
+  /**
+   * Set address on which to listen.
+   * @param bindAddress The address on which to listen
+   */
+  void ServerConnection::setBindAddress(const std::string& bindAddress)
   {
-    if (enet_address_set_host (this->bindAddress_, bindAddress.c_str()) < 0)
-        orxout(internal_error, context::network) << "Could not resolve \"" << bindAddress << "\"." << endl;
+    if (enet_address_set_host(this->bindAddress_, bindAddress.c_str()) < 0)
+    {
+      orxout(internal_error, context::network) << "Could not resolve \"" << bindAddress << "\"." << endl;
+    }
   }
 
-  void ServerConnection::setPort( unsigned int port ) {
+  /**
+   * Set port on which to listen on.
+   * @param port The port on which to listen on.
+   */
+  void ServerConnection::setPort(unsigned int port) {
       this->bindAddress_->port = port;
   }
@@ -73,5 +88,5 @@
     this->host_ = enet_host_create(this->bindAddress_, NETWORK_MAX_CONNECTIONS, NETWORK_CHANNEL_COUNT, 0, 0);
     
-    if ( this->host_ == nullptr )
+    if (this->host_ == nullptr)
     {
         orxout(internal_error, context::network) << "ServerConnection: host_ == nullptr" << endl;
@@ -81,11 +96,20 @@
     // enable compression
     this->enableCompression();
+
+    // ensure that either IPv4 or IPv6 succeeded
     assert( this->host_->socket4 != ENET_SOCKET_NULL || this->host_->socket6 != ENET_SOCKET_NULL );
+
     if (this->host_->socket4 == ENET_SOCKET_NULL)
+    {
         orxout(internal_warning, context::network) << "IPv4 Socket failed." << endl;
+    }
     else if (this->host_->socket6 == ENET_SOCKET_NULL)
+    {
         orxout(internal_warning, context::network) << "IPv6 Socket failed." << endl;
+    }
     else
+    {
         orxout(internal_info, context::network) << "Using IPv4 and IPv6 Sockets." << endl;
+    }
     
     // start communication thread
@@ -95,8 +119,11 @@
   }
 
+  /**
+   * Stop listening.
+   */
   bool ServerConnection::closeListener()
   {
-    this->bListening_=false;
-    disconnectClients();
+    this->bListening_ = false;
+    this->disconnectClients();
     Connection::stopCommunicationThread();
     enet_host_destroy(this->host_);
@@ -104,32 +131,34 @@
   }
 
+  /**
+   * Add outgoing packet to queue.
+   * @param packet The packet to send
+   * @param clientID The ID of the recipient
+   * @param channelID The channel ID
+   */
   void ServerConnection::addPacket(ENetPacket *packet, unsigned int clientID, uint8_t channelID)
   {
-    if ( clientID == NETWORK_PEER_ID_BROADCAST )
+    if (clientID == NETWORK_PEER_ID_BROADCAST)
     {
-      broadcastPacket(packet, channelID);
+      this->broadcastPacket(packet, channelID);
     }
     else
     {
-//       ClientInformation *temp = ClientInformation::findClient(clientID);
-//       if(!temp){
-//         orxout(internal_warning, context::network) << "C.Man: addPacket findClient failed" << endl;
-//       }
       Connection::addPacket(packet, clientID, channelID);
     }
   }
 
-//   void ServerConnection::disconnectClient(ClientInformation *client)
-//   {
-//     Connection::disconnectPeer( client->getPeer() );
-//   }
-
+  /**
+   * Terminate connection with a peer.
+   * @param clientID The peer with which to terminate the connection.
+   */
   void ServerConnection::disconnectClient(int clientID)
   {
-//     ClientInformation *client = ClientInformation::findClient(clientID);
-//     if(client)
     Connection::disconnectPeer(clientID);
   }
 
+  /**
+   * Disconnect all peers.
+   */
   void ServerConnection::disconnectClients()
   {
@@ -138,21 +167,3 @@
     return;
   }
-
-
-//   int ServerConnection::getClientID(ENetPeer* peer)
-//   {
-//     return getClientID(&(peer->address));
-//   }
-
-//   int ServerConnection::getClientID(ENetAddress* address)
-//   {
-//     return ClientInformation::findClient(address)->getID();
-//   }
-// 
-//   ENetPeer *ServerConnection::getClientPeer(int clientID)
-//   {
-//     return ClientInformation::findClient(clientID)->getPeer();
-//   }
-
-
 }
Index: code/branches/mergeFS18/src/libraries/network/ServerConnection.h
===================================================================
--- code/branches/mergeFS18/src/libraries/network/ServerConnection.h	(revision 12026)
+++ code/branches/mergeFS18/src/libraries/network/ServerConnection.h	(revision 12027)
@@ -47,5 +47,6 @@
 {
 
-  class _NetworkExport ServerConnection : public Connection{
+  class _NetworkExport ServerConnection : public Connection
+  {
   public:
     ~ServerConnection();
@@ -57,6 +58,6 @@
     bool closeListener();
     void addPacket(ENetPacket *packet, unsigned int ID, uint8_t channelID);
-//     virtual void disconnectClient(ClientInformation *client);
     void disconnectClient(int clientID);
+
   protected:
     ServerConnection();
@@ -64,10 +65,5 @@
 
   private:
-//     int getClientID(ENetPeer* peer);
-//     int getClientID(ENetAddress* address);
-//     ENetPeer* getClientPeer(int clientID);
-
     ENetAddress* bindAddress_;
-
     bool bListening_;
 
Index: code/branches/mergeFS18/src/libraries/network/packet/Acknowledgement.cc
===================================================================
--- code/branches/mergeFS18/src/libraries/network/packet/Acknowledgement.cc	(revision 12026)
+++ code/branches/mergeFS18/src/libraries/network/packet/Acknowledgement.cc	(revision 12027)
@@ -37,15 +37,23 @@
 
 #define PACKET_FLAGS_ACK    0
+// Offset to start of packet ID
 #define _PACKETID           0
+// Offset to start of ACK ID
 #define _ACKID              _PACKETID + sizeof(packet::Type)
 
+/**
+ * Constructor
+ * Acknowledgement.data_ is 40 bits in size:
+ * [0, 7]:   Packet Type
+ * [8, 39]:  Acknowledgement ID
+ */
 Acknowledgement::Acknowledgement( unsigned int id, unsigned int peerID )
  : Packet()
 {
-  flags_ = flags_ | PACKET_FLAGS_ACK;
-  data_=new uint8_t[ getSize() ];
-  *(Type *)(data_ + _PACKETID ) = Type::Acknowledgement;
-  *(uint32_t *)(data_ + _ACKID ) = id;
-  peerID_=peerID;
+  this->flags_ |= PACKET_FLAGS_ACK;
+  this->data_ = new uint8_t[ this->getSize() ];
+  *(Type *)(this->data_ + _PACKETID) = Type::Acknowledgement;
+  *(uint32_t *)(this->data_ + _ACKID) = id;
+  this->peerID_ = peerID;
 }
 
@@ -59,9 +67,9 @@
 }
 
-unsigned int Acknowledgement::getSize() const{
+unsigned int Acknowledgement::getSize() const {
   return _ACKID + sizeof(uint32_t);
 }
 
-bool Acknowledgement::process(orxonox::Host* host){
+bool Acknowledgement::process(orxonox::Host* host) {
   orxout(verbose_more, context::packets) << "processing ACK with ID: " << getAckID() << endl;
   bool b = host->ackGamestate(getAckID(), peerID_);
@@ -70,5 +78,5 @@
 }
 
-unsigned int Acknowledgement::getAckID(){
+unsigned int Acknowledgement::getAckID() {
   return *(uint32_t *)(data_ + _ACKID);
 }
Index: code/branches/mergeFS18/src/libraries/network/packet/Acknowledgement.h
===================================================================
--- code/branches/mergeFS18/src/libraries/network/packet/Acknowledgement.h	(revision 12026)
+++ code/branches/mergeFS18/src/libraries/network/packet/Acknowledgement.h	(revision 12027)
@@ -34,9 +34,9 @@
 
 namespace orxonox {
+	
 const unsigned int ACKID_NACK = 0;
+
 namespace packet {
-/**
-    @author
-*/
+
 class _NetworkExport Acknowledgement : public Packet
 {
Index: code/branches/mergeFS18/src/libraries/network/packet/Chat.cc
===================================================================
--- code/branches/mergeFS18/src/libraries/network/packet/Chat.cc	(revision 12026)
+++ code/branches/mergeFS18/src/libraries/network/packet/Chat.cc	(revision 12027)
@@ -38,5 +38,5 @@
 #define   PACKET_FLAGS_CHAT PacketFlag::Reliable
 
-/* Some lengths */
+/* Some lengths / offsets */
 #define _PACKETID         0
 #define _SOURCEID         _PACKETID + sizeof(Type)
@@ -49,21 +49,21 @@
 {
   /* Add chat flag to packet flags */
-  flags_ = flags_ | PACKET_FLAGS_CHAT;
+  this->flags_ |= PACKET_FLAGS_CHAT;
 
   /* set message length to length of input string + 1 */
-  messageLength_ = message.length()+1;
+  this->messageLength_ = message.length() + 1;
 
   /* allocate memory for the data */
-  data_=new unsigned char[ getSize() ];
+  this->data_ = new unsigned char[ getSize() ];
 
   *(Type *)(data_ + _PACKETID ) = Type::Chat;
   *(unsigned int *)(data_ + _SOURCEID ) = sourceID;
   *(unsigned int *)(data_ + _TARGETID ) = targetID;
-  *(unsigned int *)(data_ + _MESSAGELENGTH ) = messageLength_;
+  *(unsigned int *)(data_ + _MESSAGELENGTH ) = this->messageLength_;
 
   /* cast the hell out of the message string, and copy it into the
    * data buffer.
    */
-  memcpy( data_+_MESSAGE, static_cast<void*>(const_cast<char*>(message.c_str())), messageLength_ );
+  memcpy( this->data_ + _MESSAGE, static_cast<void*>(const_cast<char*>(message.c_str())), this->messageLength_ );
 }
 
@@ -71,5 +71,5 @@
   : Packet(data, clientID)
 {
-  messageLength_ = *(uint32_t *)(data + _MESSAGELENGTH );
+  this->messageLength_ = *(uint32_t *)(data + _MESSAGELENGTH );
 }
 
@@ -79,15 +79,17 @@
 
 unsigned int Chat::getSize() const{
-  return _MESSAGE + messageLength_;
+  return _MESSAGE + this->messageLength_;
 }
 
 bool Chat::process(orxonox::Host* host){
-  host->doReceiveChat(std::string((const char*)data_+_MESSAGE), *(uint32_t *)(data_+_SOURCEID), *(uint32_t *)(data_+_TARGETID));
+  host->doReceiveChat(std::string((const char*)this->data_ + _MESSAGE),
+                                  *(uint32_t *)(this->data_+_SOURCEID),
+                                  *(uint32_t *)(this->data_+_TARGETID));
   delete this;
   return true;
 }
 
-unsigned char *Chat::getMessage(){
-  return data_ + _MESSAGE;
+unsigned char *Chat::getMessage() {
+  return this->data_ + _MESSAGE;
 }
 
Index: code/branches/mergeFS18/src/libraries/network/packet/Chat.h
===================================================================
--- code/branches/mergeFS18/src/libraries/network/packet/Chat.h	(revision 12026)
+++ code/branches/mergeFS18/src/libraries/network/packet/Chat.h	(revision 12027)
@@ -55,5 +55,5 @@
 
   /* Get the length of the message (not the full size of the packet) */
-  unsigned int getMessageLength(){ return messageLength_; };
+  unsigned int getMessageLength() { return this->messageLength_; };
 
   /* return message content */
Index: code/branches/mergeFS18/src/libraries/network/packet/ClassID.cc
===================================================================
--- code/branches/mergeFS18/src/libraries/network/packet/ClassID.cc	(revision 12026)
+++ code/branches/mergeFS18/src/libraries/network/packet/ClassID.cc	(revision 12027)
@@ -46,14 +46,14 @@
 
 
-ClassID::ClassID( ) : Packet(){
+ClassID::ClassID() : Packet() {
   Identifier *id;
-  unsigned int nrOfClasses=0;
-  unsigned int packetSize=2*sizeof(uint32_t); //space for the packetID and for the nrofclasses
+  unsigned int nrOfClasses = 0;
+  unsigned int packetSize = 2 * sizeof(uint32_t); //space for the packetID and for the nrofclasses
   uint32_t network_id;
-  flags_ = flags_ | PACKET_FLAGS_CLASSID;
+  this->flags_ |= PACKET_FLAGS_CLASSID;
   std::queue<std::pair<uint32_t, std::string>> tempQueue;
 
-  //calculate total needed size (for all strings and integers)
-  for(const auto& mapEntry : IdentifierManager::getInstance().getIdentifierByStringMap()){
+  // calculate total needed size (for all strings and integers)
+  for(const auto& mapEntry : IdentifierManager::getInstance().getIdentifierByStringMap()) {
     id = mapEntry.second;
     if(id == nullptr || !id->hasFactory())
@@ -64,30 +64,30 @@
     tempQueue.push( std::pair<unsigned int, std::string>(network_id, classname) );
     ++nrOfClasses;
-    packetSize += (classname.size()+1)+sizeof(network_id)+sizeof(uint32_t);
+    packetSize += (classname.size() + 1) + sizeof(network_id) + sizeof(uint32_t);
   }
 
-  this->data_=new uint8_t[ packetSize ];
+  this->data_ = new uint8_t[ packetSize ];
   //set the appropriate packet id
   assert(this->data_);
   *(Type *)(this->data_ + _PACKETID ) = Type::ClassID;
 
-  uint8_t *temp=data_+sizeof(uint32_t);
+  uint8_t *temp = this->data_ + sizeof(uint32_t);
   // save the number of all classes
-  *(uint32_t*)temp = nrOfClasses;
+  *(uint32_t*) temp = nrOfClasses;
   temp += sizeof(uint32_t);
 
   // now save all classids and classnames
   std::pair<uint32_t, std::string> tempPair;
-  uint32_t tempsize = 2*sizeof(uint32_t); // packetid and nrOfClasses
+  uint32_t tempsize = 2 * sizeof(uint32_t); // packetid and nrOfClasses
   while( !tempQueue.empty() ){
     tempPair = tempQueue.front();
     tempQueue.pop();
-    *(uint32_t*)temp = tempPair.first;
-    *(uint32_t*)(temp+sizeof(uint32_t)) = tempPair.second.size()+1;
-    memcpy(temp+2*sizeof(uint32_t), tempPair.second.c_str(), tempPair.second.size()+1);
-    temp+=2*sizeof(uint32_t)+tempPair.second.size()+1;
-    tempsize+=2*sizeof(uint32_t)+tempPair.second.size()+1;
+    *(uint32_t*) temp = tempPair.first;
+    *(uint32_t*) (temp+sizeof(uint32_t)) = tempPair.second.size() + 1;
+    memcpy(temp + 2 * sizeof(uint32_t), tempPair.second.c_str(), tempPair.second.size() + 1);
+    temp += 2 * sizeof(uint32_t) + tempPair.second.size() + 1;
+    tempsize += 2 * sizeof(uint32_t) + tempPair.second.size() + 1;
   }
-  assert(tempsize==packetSize);
+  assert(tempsize == packetSize);
 
   orxout(verbose_more, context::packets) << "classid packetSize is " << packetSize << endl;
@@ -104,26 +104,24 @@
 }
 
-uint32_t ClassID::getSize() const{
-  uint8_t *temp = data_+sizeof(uint32_t); // packet identification
+uint32_t ClassID::getSize() const {
+  uint8_t *temp = this->data_ + sizeof(uint32_t); // packet identification
   uint32_t totalsize = sizeof(uint32_t); // packet identification
-  uint32_t nrOfClasses = *(uint32_t*)temp;
+  uint32_t nrOfClasses = *(uint32_t*) temp;
   temp += sizeof(uint32_t);
   totalsize += sizeof(uint32_t); // storage size for nr of all classes
 
-  for(unsigned int i=0; i<nrOfClasses; i++){
-    totalsize += 2*sizeof(uint32_t) + *(uint32_t*)(temp + sizeof(uint32_t));
-    temp += 2*sizeof(uint32_t) + *(uint32_t*)(temp + sizeof(uint32_t));
+  for(unsigned int i=0; i < nrOfClasses; i++) {
+    totalsize += 2 * sizeof(uint32_t) + *(uint32_t*) (temp + sizeof(uint32_t));
+    temp += 2 * sizeof(uint32_t) + *(uint32_t*)(temp + sizeof(uint32_t));
   }
   return totalsize;
 }
 
-
-bool ClassID::process(orxonox::Host* host){
+bool ClassID::process(orxonox::Host* host) {
   int nrOfClasses;
-  uint8_t *temp = data_+sizeof(uint32_t); //skip the packetid
+  uint8_t *temp = this->data_ + sizeof(uint32_t); //skip the packetid
   uint32_t networkID;
   uint32_t stringsize;
   unsigned char *classname;
-
 
   //clear the map of network ids
@@ -134,19 +132,19 @@
   Identifier *id;
   // read the total number of classes
-  nrOfClasses = *(uint32_t*)temp;
+  nrOfClasses = *(uint32_t*) temp;
   temp += sizeof(uint32_t);
 
-  for( int i=0; i<nrOfClasses; i++){
-    networkID = *(uint32_t*)temp;
-    stringsize = *(uint32_t*)(temp+sizeof(uint32_t));
-    classname = temp+2*sizeof(uint32_t);
-    id=ClassByString( std::string((const char*)classname) );
+  for( int i = 0; i < nrOfClasses; i++) {
+    networkID = *(uint32_t*) temp;
+    stringsize = *(uint32_t*) (temp + sizeof(uint32_t));
+    classname = temp + 2 * sizeof(uint32_t);
+    id = ClassByString( std::string((const char*) classname) );
     orxout(internal_info, context::packets) << "processing classid: " << networkID << " name: " << classname << " id: " << id << endl;
-    if(id==nullptr){
+    if(id == nullptr) {
       orxout(user_error, context::packets) << "Received a bad classname" << endl;
       abort();
     }
     id->setNetworkID( networkID );
-    temp += 2*sizeof(uint32_t) + stringsize;
+    temp += 2 * sizeof(uint32_t) + stringsize;
   }
   delete this;
